# Amuse: amuse::EffectBase< T > Class Template Reference

amuse::EffectBase< T > Class Template Referenceabstract
Inheritance diagram for amuse::EffectBase< T >:
Collaboration diagram for amuse::EffectBase< T >:

## Public Member Functions

virtual void | applyEffect (T *audio, size_t frameCount, const ChannelMap &chanMap)=0

## Detailed Description

### template<typename T>
class amuse::EffectBase< T >

Definition at line 18 of file EffectBase.hpp.

The documentation for this class was generated from the following file:

- include/amuse/EffectBase.hpp